Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Interface MemoryMonitor.MemoryChangeListener

All Known Implementing Classes:
  MemoryMonitor.History, MemoryMonitor.Usage

Enclosing interface:
  MemoryMonitor

public static interface MemoryMonitor.MemoryChangeListener

This interface allows the RepaintThread to notify an object that the current memory state has changed.

Method Summary
`void` | `memoryStateChanged(long total, long free)` Indicates that the memory state has changed.

Method Detail

### memoryStateChanged

    public void memoryStateChanged(long total,
                                   long free)

  Indicates that the memory state has changed.

  Parameters:
    `total` - The total amount of memory.
    `free` - The free memory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.